/**
 * Java
 * 
 * Copyright 2013 IS2T. All rights reserved
 * For demonstration purpose only
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.example;

import com.is2t.example.ResourceManager.OutOfResourcesException;

public class NativeResourceManagementExample {
    
    public static void main(String[] args) throws Exception {
        createAndUseResources();
    }

    private static void createAndUseResources() throws OutOfResourcesException {
        ResourceUser resourceUser0 = new ResourceUser();
        ResourceUser resourceUser1 = new ResourceUser();
        resourceUser0.useResource();
        resourceUser1.useResource();
        try {
            new ResourceUser();
        } catch (OutOfResourcesException e) {
            // expected because only 2 resources are available
        }
        resourceUser0 = null;
        ResourceUser resourceUser2 = new ResourceUser();
        resourceUser2.useResource();
    }
}
