/**
 * Java
 * 
 * Copyright 2013 IS2T. All rights reserved
 * For demonstration purpose only
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.example;

import com.is2t.example.ResourceManager.OutOfResourcesException;

class ResourceUserHelper implements ResourceManager.ResourceHelper {
    int cResourceId;

    public void allocateResource() throws OutOfResourcesException {
        cResourceId = ResourceUser.allocateResource();
        if (cResourceId == ResourceUser.ERROR_OUT_OF_RESOURCES) {
            throw new ResourceManager.OutOfResourcesException();
        }
    }

    public void cleanup() {
        ResourceUser.releaseResource(cResourceId);
    }

    public int getResourceId() {
        return cResourceId;
    }
}